/*
 *   This file is a part of the SteamWar software.
 *
 *   Copyright (C) 2025 SteamWar.de-Serverteam
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.steamwar.bausystem.tracer.show;

public class ShowModeParameter {

    private boolean water = false;
    private boolean interpolate_Y = false;
    private boolean interpolate_XZ = false;

    public ShowModeParameter() {

    }

    public boolean isWater() {
        return water;
    }

    public boolean isInterpolate_Y() {
        return interpolate_Y;
    }

    public boolean isInterpolate_XZ() {
        return interpolate_XZ;
    }

    public void setWater(boolean water) {
        this.water = water;
    }

    public void setInterpolate_Y(boolean interpolate_Y) {
        this.interpolate_Y = interpolate_Y;
    }

    public void setInterpolate_XZ(boolean interpolate_XZ) {
        this.interpolate_XZ = interpolate_XZ;
    }
}
